#ifndef MDD_HANDLERMODULE_H
#define MDD_HANDLERMODULE_H
#include <string>
#include <IModule.h>

namespace mdd{
    template<class T>
    class HandlerModule{
    public:
        std::shared_ptr<IModule> moduleHandler;
        std::shared_ptr<T> accessHandler;
        HandlerModule(std::shared_ptr<IModule> module, std::shared_ptr<T> access){
            moduleHandler = module;
            accessHandler = access;
        }
    };
}

#endif //MDD_MODULEHANDLER_H
